> ## Documentation Index
> Fetch the complete documentation index at: https://docs.conduit.financial/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Compliance

> Simulate a compliance status change on a customer or counterparty.



## OpenAPI

````yaml https://api.conduit.financial/api-docs/2024-12-01/openapi-external.yaml?mode=dynamic post /simulator/compliance
openapi: 3.0.2
info:
  version: '2024-12-01'
  title: Conduit API
  description: The Conduit Financial API
  contact:
    name: Conduit Support
    email: conduit@conduit.fi
servers:
  - url: https://api.conduit.financial
    description: The Conduit API live environment
  - url: https://api.sandbox.conduit.financial
    description: The Conduit API Sandbox environment
security: []
tags:
  - name: Accounts
    description: |
      Endpoints dealing with accounts.
  - name: Counterparties
    description: |
      Endpoints dealing with counterparties information. 
  - name: Quotes
    description: |
      Endpoints dealing with quotes.
  - name: Transactions
    description: |
      Endpoints dealing with transactions.
  - name: Documents
    description: |
      Endpoints dealing with documents.
  - name: Customers
    description: |
      Endpoints dealing with customer information. 
paths:
  /simulator/compliance:
    post:
      tags:
        - Simulations
      summary: Simulate Compliance
      description: Simulate a compliance status change on a customer or counterparty.
      operationId: simulateCompliance
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SimulateComplianceRequest'
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                required:
                  - success
        '400':
          description: Input validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '403':
          description: Authorization error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenErrorResponse'
        '415':
          description: Unsupported media type error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnsupportedMediaTypeErrorResponse'
        '429':
          description: Throttling error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequestsErrorResponse'
        '500':
          description: Internal Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
      security:
        - apiKey: []
          apiSecret: []
components:
  schemas:
    SimulateComplianceRequest:
      oneOf:
        - $ref: '#/components/schemas/CounterpartySimulateComplianceRequest'
        - $ref: '#/components/schemas/CustomerSimulateComplianceRequest'
      discriminator:
        propertyName: type
        mapping:
          counterparty:
            $ref: '#/components/schemas/CounterpartySimulateComplianceRequest'
          customer:
            $ref: '#/components/schemas/CustomerSimulateComplianceRequest'
      title: Sandbox Simulate Compliance
    BadRequestErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    ForbiddenErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    UnsupportedMediaTypeErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    TooManyRequestsErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    InternalServerErrorResponse:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
              code:
                type: string
            required:
              - detail
              - code
      required:
        - errors
    CounterpartySimulateComplianceRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - counterparty
        id:
          $ref: '#/components/schemas/CounterpartyId'
        status:
          type: string
          enum:
            - active
            - deleted
            - in_compliance_review
            - compliance_rejected
      required:
        - type
        - id
        - status
      title: Sandbox Simulate Counterparty Compliance
      example:
        type: counterparty
        id: cp_2ofTA13AD0xBtbEvBl20aEb1hEu
        status: active
    CustomerSimulateComplianceRequest:
      type: object
      properties:
        type:
          type: string
          enum:
            - customer
        id:
          anyOf:
            - $ref: '#/components/schemas/CustomerId'
            - $ref: '#/components/schemas/ClientId'
        status:
          type: string
          enum:
            - active
            - in_compliance_review
            - compliance_rejected
            - created
            - kyb_in_progress
            - kyb_expired
            - kyb_missing_information
            - account_onboarding_pending
            - failed_to_create
      required:
        - type
        - id
        - status
      title: Sandbox Simulate Customer Compliance
      example:
        type: customer
        id: cus_2ofTA13AD0xBtbEvBl20aEb1hEu
        status: active
    CounterpartyId:
      type: string
      pattern: ^cp_[a-zA-Z0-9]{27}$
      description: A valid Counterparty ID
      example: cp_2ofTA13AD0xBtbEvBl20aEb1hEu
    CustomerId:
      type: string
      pattern: ^cus_[a-zA-Z0-9]{27}$
      description: A valid Customer ID
      example: cus_2ofTA13AD0xBtbEvBl20aEb1hEu
    ClientId:
      type: string
      pattern: ^client_[a-zA-Z0-9]{27}$
      description: A valid Client ID
      example: client_2ofTA13AD0xBtbEvBl20aEb1hEu
  securitySchemes:
    apiKey:
      type: apiKey
      description: Includes an API key in the HTTP headers to authenticate the client.
      name: X-API-Key
      in: header
    apiSecret:
      type: apiKey
      description: Includes an API secret in the HTTP headers to authenticate the client.
      name: X-API-Secret
      in: header

````